#include <iostream>

using namespace std;

int main()
{

    long long int n;
    cin>>n;
    long long int t[n+1];
    t[0]=-1;
    for(int i=1;i<=n;i++)
        cin>>t[i];

    long long int q;
    cin>>q;
    long long int elso[q], masodik[q];
    for(int i=0;i<q;i++)
        cin>>elso[i]>>masodik[i];

    //cout<<"bemenet jo";


    int seged[n+1];
    seged[0]=0;
    for(int i=1;i<=n;i++)
        if(t[i]<t[i-1])
            seged[i]=seged[i-1]+1;
        else
            seged[i]=seged[i-1];

    //for(int i=1;i<=n;i++)
        //cout<<seged[i];

    for(int i=0;i<q;i++)
    {
        if(seged[masodik[i]]-seged[elso[i]-1]>1)
            cout<<"NE"<<endl;
        else
            cout<<"DA"<<endl;


    }


    return 0;
}